Name:           gdesklets
Version:        0.35.2
Release:        22%{?dist}
Summary:        Advanced architecture for desktop applets

Group:          User Interface/Desktops
License:        GPL

URL:            http://gdesklets.gnomedesktop.org/
Source0:        http://www.gdesklets.org/releases/gDesklets-%{version}.tar.bz2
Patch0:		NullObject-1.0-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#############################################################
#							    #
# Starting from 0.35.x, gDesklets no longer requires GConf. #
#							    #
#############################################################

BuildRequires:  python-devel >= 2.0.0, pyorbit-devel >= 2.0.1, pygtk2-devel >= 2.4.0
BuildRequires:  librsvg2-devel, libgtop2-devel >= 2.8.0, gettext   
BuildRequires:  gnome-python2 >= 2.0.0, libgnome-devel > 2.6.0, desktop-file-utils
Requires:	gnome-python2-gconf >= 2.6.0
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires(post): desktop-file-utils
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info


%description
'gDesklets' provides an advanced architecture for desktop applets -
tiny displays that sit on your desktop such as status meters, icon
bars, weather sensors, news tickers.


%prep
%setup -q -n gDesklets-%{version}
%patch0 -p1 

%build


%configure \
 --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor=fedora  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category X-Fedora \
  --add-category Accessories \
  --add-category Application \
  --add-category Utility \
        data/%{name}.desktop

mkdir -p  ${RPM_BUILD_ROOT}{%{_bindir},%{_datadir}/%{name}/data/}
ln -sf ../../../../%{_datadir}/pixmaps/%{name}.png ${RPM_BUILD_ROOT}/%{_libdir}/%{name}/data/%{name}.png
ln -sf ../../%{_libdir}/%{name}/%{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/mime/application
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/mime/{globs,magic,XMLnamespaces,aliases,subclasses,mime.cache}
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/{%{name}.desktop,mimeinfo.cache}


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}-display-thumbnail.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-display-thumbnailer
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_libdir}/%{name}/
%{_mandir}/man1/*




%changelog
* Wed Dec 14 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-22
- Added desktop-file-utils for build requirement
- Clean up

* Tue Dec 6 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-21
- Removed unnecessary comment  
- More clean up

* Tue Dec 6 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-20
- Clean up 
- Fixed the right path for symbolic link

* Sat Dec 3 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-19
- Added disable-schemas-install on %_configure
- Trying to symlink using nrpms method based on FC3 version

* Tue Nov 29 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-18
- Added patch against NullObject.py (thanks jwb)

* Tue Nov 29 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-17
- Reorganized names and fixed %_install


* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-16
- Rebuild

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-15
- Fixed %_install

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-14
- Bump

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-13
- Bump

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-12
- Removed pygtk2

* Mon Nov 21 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-11
- Added distribution version
- Clarified the note about GConf instead of gconf

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-10
- Added libgnomeui-devel to test some sensors

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-9
- Cleaned up and removed unnecesary buildrequires

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-8
- Fixed error on mime.cache

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-7
- Rebuilt

* Fri Nov 18 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-6
- Rebuilt

* Wed Nov 16 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-5
- Added desktop-file-utils command for post and postun

* Wed Nov 16 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-4
- Fixed mistakes (thanks Alex Lancaster (alexl@users.sourceforge.net))

* Sat Nov 12 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-3
- Enhanced codes to be FedoraGuide compliant (thanks to Brian Pepple (bdpepple@ameritech.net))

* Sat Nov 12 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-2
- bump

* Sat Nov 12 2005 Luya Tshimbalanga <luya_tfz@thefinalzone.com> - 0.35.2-1
- Initial Fedora Extras package
